Bug 1026784 - typos in the init scripts; /etc/init.d/ebtables: line 19: [: =: unary operator expected [NEEDINFO]
typos in the init scripts; /etc/init.d/ebtables: line 19: [: =: unary operato...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ebtables (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Thomas Woerner
Petr Sklenar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 07:39 EST by Petr Sklenar
Modified: 2014-06-18 03:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1026791 (view as bug list)
Environment:
Last Closed: 2014-06-13 05:20:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jscotka: needinfo? (twoerner)


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-11-05 07:39:48 EST
Description of problem:
there is issue with starting/stopping ebtables

Version-Release number of selected component (if applicable):
ebtables-2.0.10-8.el7.x86_64

How reproducible:
deterministic

Steps to Reproduce:
1. service ebtables status|start|stop

Actual results:
service ebtables status
/etc/init.d/ebtables: line 19: [: =: unary operator expected
# Generated by ebtables-save v1.0 on Tue Nov  5 07:37:27 EST 2013


Expected results:
init script works

Additional info:
there is just typo in the /etc/rc.d/init.d/ebtables,
this fixes the issue:

19c19
< [ ${NETWORKING} = "no" ] && exit 0
---
> [ "${NETWORKING}" = "no" ] && exit 0
Comment 6 Ludek Smid 2014-06-13 05:20:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.